com.holonplatform.jdbc

## Interface BasicDataSource.Builder

- All Known Implementing Classes:
    DefaultBasicDataSource.DefaultBuilder
  Enclosing interface:
    BasicDataSource

      public static interface BasicDataSource.Builder

  `BasicDataSource` builder.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `BasicDataSource` | `build()` Build and return the configured `BasicDataSource` instance.
    `BasicDataSource.Builder` | `connectionProperties(Properties connectionProperties)` Specify arbitrary connection properties as key/value pairs to be passed to the JDBC Driver.
    `default BasicDataSource.Builder` | `database(DatabasePlatform database)` Set the `DatabasePlatform` from which to obtain the JDBC driver to use.
    `BasicDataSource.Builder` | `driverClass(Class<? extends Driver> driverClass)` Set the JDBC Driver class to use.
    `BasicDataSource.Builder` | `driverClassName(String driverClassName)` Set JDBC Driver class name to use.
    `BasicDataSource.Builder` | `password(String password)` Set the JDBC connection password.
    `BasicDataSource.Builder` | `url(String url)` Set the JDBC connection url
    `BasicDataSource.Builder` | `username(String username)` Set the JDBC connection username.

- - ### Method Detail

    - #### url

          BasicDataSource.Builder url(String url)

      Set the JDBC connection url
      Parameters:
        `url` - the JDBC connection URL (not null)
      Returns:
        this

    - #### username

          BasicDataSource.Builder username(String username)

      Set the JDBC connection username.
      Parameters:
        `username` - the JDBC connection username
      Returns:
        this

    - #### password

          BasicDataSource.Builder password(String password)

      Set the JDBC connection password.
      Parameters:
        `password` - the JDBC connection password
      Returns:
        this

    - #### driverClassName

          BasicDataSource.Builder driverClassName(String driverClassName)

      Set JDBC Driver class name to use.
      Parameters:
        `driverClassName` - the JDBC Driver class name (not null)
      Returns:
        this
      See Also:
        `driverClass(Class)`

    - #### driverClass

          BasicDataSource.Builder driverClass(Class<? extends Driver> driverClass)

      Set the JDBC Driver class to use.
      Parameters:
        `driverClass` - the JDBC Driver class (not null)
      Returns:
        this
      See Also:
        `driverClassName(String)`

    - #### database

          default BasicDataSource.Builder database(DatabasePlatform database)

      Set the `DatabasePlatform` from which to obtain the JDBC driver to use.

      This is an alternative to direct driver setting using either `driverClass(Class)` or `driverClassName(String)`.

      Parameters:
        `database` - Database platform (not null)
      Returns:
        this

    - #### connectionProperties

          BasicDataSource.Builder connectionProperties(Properties connectionProperties)

      Specify arbitrary connection properties as key/value pairs to be passed to the JDBC Driver.
      Parameters:
        `connectionProperties` - Connection properties
      Returns:
        this

    - #### build

          BasicDataSource build()

      Build and return the configured `BasicDataSource` instance.
      Returns:
        the `BasicDataSource` instance

Copyright © 2019 The Holon Platform. All rights reserved.